Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.admin.instantmessagingserver
Class ConfigureInstantMessagingServer

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.admin.instantmessagingserver.ConfigureInstantMessagingServer

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

    public class ConfigureInstantMessagingServer

extends BambooActionSupport

Field Summary

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`ConfigureInstantMessagingServer()`

Method Summary
`String` | `doAdd()`
`String` | `doCreate()`
`String` | `doDefault()`
`String` | `doDelete()`
`String` | `doEdit()`
`String` | `doRead()`
`long` | `getAffectedInstantMessagingServerId()`
`InstantMessagingServerDefinition` | `getCurrentInstantMessagingServer()`
`String` | `getHost()`
`long` | `getInstantMessagingServerId()`
`Collection` | `getInstantMessagingServers()`
`String` | `getMessageTest()`
`String` | `getName()`
`String` | `getPassword()`
`String` | `getPasswordChange()`
`String` | `getPort()`
`String` | `getTestRecipients()`
`String` | `getUsername()`
`boolean` | `isSslRequired()`
`void` | `setAffectedInstantMessagingServerId(long affectedInstantMessagingServerId)`
`void` | `setBambooSmackClient(BambooSmackClient bambooSmackClient)`
`void` | `setCurrentInstantMessagingServer(InstantMessagingServerDefinition currentInstantMessagingServer)`
`void` | `setHost(String host)`
`void` | `setInstantMessagingServerId(long instantMessagingServerId)`
`void` | `setInstantMessagingServerManager(InstantMessagingServerManager instantMessagingServerManager)`
`void` | `setMessageTest(String messageTest)`
`void` | `setName(String name)`
`void` | `setPassword(String password)`
`void` | `setPasswordChange(String passwordChange)`
`void` | `setPort(String port)`
`void` | `setSslRequired(boolean sslRequired)`
`void` | `setTestRecipients(String testRecipients)`
`void` | `setUsername(String username)`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### ConfigureInstantMessagingServer

    public ConfigureInstantMessagingServer()

Method Detail

### doDefault

    public String doDefault()
                     throws Exception

  Overrides:
    `doDefault` in class `BambooActionSupport`
  Throws:
    `Exception`

### doAdd

    public String doAdd()
                 throws Exception

  Throws:
    `Exception`

### doCreate

    public String doCreate()
                    throws Exception

  Throws:
    `Exception`

### doRead

    public String doRead()
                  throws Exception

  Throws:
    `Exception`

### doEdit

    public String doEdit()
                  throws Exception

  Throws:
    `Exception`

### doDelete

    public String doDelete()
                    throws Exception

  Throws:
    `Exception`

### getInstantMessagingServers

    public Collection getInstantMessagingServers()

### setBambooSmackClient

    public void setBambooSmackClient(BambooSmackClient bambooSmackClient)

### setInstantMessagingServerManager

    public void setInstantMessagingServerManager(InstantMessagingServerManager instantMessagingServerManager)

### getInstantMessagingServerId

    public long getInstantMessagingServerId()

### setInstantMessagingServerId

    public void setInstantMessagingServerId(long instantMessagingServerId)

### getCurrentInstantMessagingServer

    public InstantMessagingServerDefinition getCurrentInstantMessagingServer()

### setCurrentInstantMessagingServer

    public void setCurrentInstantMessagingServer(InstantMessagingServerDefinition currentInstantMessagingServer)

### getName

    public String getName()

### setName

    public void setName(String name)

### getHost

    public String getHost()

### setHost

    public void setHost(String host)

### getPort

    public String getPort()

### setPort

    public void setPort(String port)

### getUsername

    public String getUsername()

### setUsername

    public void setUsername(String username)

### getPasswordChange

    public String getPasswordChange()

### setPasswordChange

    public void setPasswordChange(String passwordChange)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### isSslRequired

    public boolean isSslRequired()

### setSslRequired

    public void setSslRequired(boolean sslRequired)

### getMessageTest

    public String getMessageTest()

### setMessageTest

    public void setMessageTest(String messageTest)

### getTestRecipients

    public String getTestRecipients()

### setTestRecipients

    public void setTestRecipients(String testRecipients)

### getAffectedInstantMessagingServerId

    public long getAffectedInstantMessagingServerId()

### setAffectedInstantMessagingServerId

    public void setAffectedInstantMessagingServerId(long affectedInstantMessagingServerId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.